
/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    (c) Copyright IAR Systems 2008
 *
 *    File name   : oled_cmd.h
 *    Description : OLED Commands as list
 *
 *    History :
 *    1. Date        : Feb, 2010
 *       Author      : Kampf Peter
 *       Description : Create
 *
 *    $Revision: 1
 **************************************************************************/
#ifndef __OLED_CMD_H__
#define __OLED_CMD_H__

const unsigned char OLED_initCode0[] = {
 0x15, // Set Column Address
 0x00, // Begin: Offset 7
 0x39, // End: 57dec
 
 0x75, // Set Row Address
 0x00, // Begin: 0
 0x4f, // End: 79dec
 
 0x86, // Set Current Range 84h:Quarter, 85h:Half, 86h:Full
 0x81, // Set Contrast Control
// 0x06, 
 0x1e, 
 
 0xbe, // Set VCOMH Voltage
 0x00, // Set Precharge Voltage
 0xBC, 
 0x0f,
 
 0xA0, // Set Re-map
 0x41, // 0x41 // 0x52
 
 0xA1, // Set Display Start Line
 0x00, // Top

 0xA2, // Set Display offset
 0x00, // Offset 76 rows
 
 0xA6, // Entire Display OFF, all pixels turns OFF
 0xA8, // Set Multiplex Ratio
 0x4F, // multiplex ratio N from 16MUX-80MUX // 80!
 0xB1, // Set Phase Length
 0x22, 
 0xB2, // Set Row Period
 0x46,
 0xB0, // Set Pre-charge Compensation Enable
 0x08,
 0xB4, // Set Pre-charge Compensation Level
 0x00,
 0xB3, // Set Display Clock
 0xA0,
 0xBF, // Set Segment Low Voltage (VSL)
 0x0D,
 
 0xB8, // set Gray Scale Table
 0x01,
 0x11,
 0x22,
 0x32,
 0x43,
 0x54,
 0x65,
 0x76,
//--- 
 0xff // end of string
};

const unsigned char OLED_initCode1[] = {
 0x15, // Set Column Address
 0x17, // Begin: Offset 7
 0x49, // End: 57dec
 
 0x75, // Set Row Address
 0x10, // Begin: 0
 0x3f, // End: 79dec
 
 0x86, // Set Current Range 84h:Quarter, 85h:Half, 86h:Full
 0x81, // Set Contrast Control
// 0x06, 
 0x1e, 
 
 0xbe, // Set VCOMH Voltage
 0x00, // Set Precharge Voltage
 0xBC, 
 0x0f,
 
 0xA0, // Set Re-map
 0x52, // 0x41 // 0x52
 
 0xA6, // Entire Display OFF, all pixels turns OFF
 0xA8, // Set Multiplex Ratio
 0x4F, // multiplex ratio N from 16MUX-80MUX // 80!
 0xB1, // Set Phase Length
 0x22, 
 0xB2, // Set Row Period
 0x46,
 0xB0, // Set Pre-charge Compensation Enable
 0x08,
 0xB4, // Set Pre-charge Compensation Level
 0x00,
 0xB3, // Set Display Clock
 0xA0,
 0xBF, // Set Segment Low Voltage (VSL)
 0x0D,
 
 0xB8, // set Gray Scale Table
 0x01,
 0x11,
 0x22,
 0x32,
 0x43,
 0x54,
 0x65,
 0x76,
//--- 
 0xff // end of string
};

const unsigned char OLED_initCode_DispOn[] = {
 0xA4,
 0xAF,
 0xE3,
 //--- 
 0xff // end of string
};

const unsigned char OLED_initCode_DispOff[] = {
 0xAE,
 0xAD,
 0x02,
 //--- 
 0xff // end of string
};

/*
  write_cmd(0x15);           // Set Column Address
  write_cmd(0x00);           // Begin  7 Offset! 0x07
  write_cmd(0x39);           // End   57 	0x39
  write_cmd(0x75);           // Set Row Address
  write_cmd(0x00);           // Begin  0
  write_cmd(0x4F);           // End   79

  write_cmd(0x86);           // Set Current Range 84h:Quarter, 85h:Half, 86h:Full
  write_cmd(0x81);           // Set Contrast Control
  write_cmd(0x2D);
  write_cmd(0xBE);           // Set VCOMH Voltage
  write_cmd(0x11);           // write_cmd(0x11);  default --> bei Streifenfehlern ?

  write_cmd(0xBC);           // Set Precharge Voltage
  write_cmd(0x0F);

  write_cmd(0xA0);           // Set Re-map
  write_cmd(0x52);           // 0x52 (keys right) or 0x41 (keys left)

  write_cmd(0xA6);           // Entire Display OFF, all pixels turns OFF
  write_cmd(0xA8);           // Set Multiplex Ratio
  write_cmd(0x4F);           // multiplex ratio N from 16MUX-80MUX // 80!
  write_cmd(0xB1);           // Set Phase Length
  write_cmd(0x22);
  write_cmd(0xB2);           // Set Row Period
  write_cmd(0x46);
  write_cmd(0xB0);           // Set Pre-charge Compensation Enable
  write_cmd(0x08);
  write_cmd(0xB4);           // Set Pre-charge Compensation Level
  write_cmd(0x00);
  write_cmd(0xB3);           // Set Display Clock
  write_cmd(0xA0);
  write_cmd(0xBF);           // Set Segment Low Voltage (VSL)
  write_cmd(0x0D);

  write_cmd(0xB8);           // Set Gray Scale Table
  write_cmd(0x01);
  write_cmd(0x11);
  write_cmd(0x22);
  write_cmd(0x32);
  write_cmd(0x43);
  write_cmd(0x54);
  write_cmd(0x65);
  write_cmd(0x76);

  write_cmd(0xAE);           // Set Display OFF
  write_cmd(0xAD);           // Set Master Configuration
  write_cmd(0x02);
  delay_ms(75);              // dannach 75ms Pause!? 7365us
  write_cmd(0xA4);           // Normal Display
  write_cmd(0xAF);           // Set Display ON
  write_cmd(0xE3);           //NOP
*/

#endif // __OLED_CMD_H__