
/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    File name   : oled_cmd.h
 *    Description : OLED Commands as list
 *
 *    History :
 *    1. Date        : Jan, 2010
 *       Author      : Thorsten Erdmann / Kampf Peter
 *       Description : OLED LIB Header File
 *
 *    $Revision: 1
 **************************************************************************/
#ifndef OLED_LIB_H

#include "types.h"

#define MAXX    101
#define MAXY     79
#define XLEFT     0
#define YTOP      0

#define XCENTERED 1
#define XRIGHT    2
#define YCENTERED 4
#define YDOWN     8
#define BORDERNONE  0
#define BORDERUPPER 1
#define BORDERLOWER 2
#define BORDERLEFT  4
#define BORDERRIGHT 8
#define BORDER     15

/* !!! fr Software-SPI (original) hier eine Null eintragen */
#define HW_SPI		1	// 1=hardware SPI

// Draw a horizontal line
void hline(int x, int y, int l, uint8 disp_nr);
// Draw a horizontal line
void vline(int x, int y, int l, uint8 disp_nr);
// draw a box
void gotoxy(int x, int y);
// Calculate a string size in pixel using the current font
void strsize(const char *s, uint8 *w, uint8 *h);
// print a string at current cursor position
void printstr(const char *s, uint8 disp_nr);
//void printstr_P(const char *s);
// print a formatted string in a box
void printfstr(int x, int y, int w, int h, uint8 format, uint8 border, uint8 fillcolor, const char *s, uint8);
// print a character
void printchar(char ch, uint8 disp_nr);
// print a number
void printbyte(uint8 i, uint8 disp_nr);
// set the display to color
void cls(uint8 color, uint8);
// initialize oled library and display
void cls_y(uint8 row_start, uint8 row_end, uint8 disp_nr);
// initialize oled display conc. y position
void displayInit(void);
// display power on
void displayOn(void);
// display power off
void displayOff(void);
// map keys to characters, use '+', '-' and 0x0d for GUI to work
//write command:
void write_cmd(uint8, uint8) ;
//write data:
void write_data(uint8 databyte, uint8 disp_nr);

void write_cmd_ROM(const unsigned char *Str, uint8 disp_nr);

void OLED_Init(void);
void Mains12V_On(void);
void Mains12V_Off(void);

//public variables from module [oled_lib]:
extern uint8 tx, ty;
extern uint8 bgcolor, fgcolor, txcolor;
extern const char *font;
extern uint8 g_strlengthMem0;
extern uint8 g_strlengthMem1;

#endif
