/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    File name   : scheduler.h
 *    Description : Scheduler/State Machine of System
 *
 *    History :
 *    1. Date        : Feb, 2010
 *       Author      : Kampf Peter
 *       Description : Create
 *
 *    $Revision: 1
 **************************************************************************/
#ifndef __SCHEDULER_H__
#define __SCHEDULER_H__

#include "types.h"

//Prototypes pubilc:
extern void sm_process(void);
extern void OLED_PrintApplicationDyn(void);
extern void OLED_PrintStartupScreen(void);
extern void OLED_PrintNoDataScreen(void);
extern void OLED_PrintNoGPSScreen(void);

extern void OLED_PrintStaticMask(void);
extern int  NMEA_Acquire(void);
extern void cls_y(uint8, uint8, uint8);
//Prototypes private:
static void sm_Exec_Startup(void);
static void sm_Exec_AppChange(void);
static void sm_Exec_TogThread1(void);
static void sm_Exec_AliveThread(void);
static void sm_Exec_ServiceCnt2(void);
static void sm_Exec_NMEA_Callback(void);
static void sm_Exec_NODATA(void);
static void sm_Exec_GPS_NOK(void);
static void sm_Exec_GPS_OK(void);
static void sm_Exec_Idle(void);

//public variables from module [scheduler]:
extern volatile uint16 g_wdAPPSTAT;
extern volatile uint16 g_wdBitEvent;
extern volatile uint16 g_wdSYSSTAT;
extern volatile uint16 g_wdCount1;
extern volatile uint16 g_wdCount2;
extern volatile uint16 g_HeightMax;
#endif